import request from '@/utils/request'

// 查询网络文明志愿者列表
export function listWlwmzyz(query) {
  return request({
    url: '/tcZz/networkEcology/wlwmzyz/list',
    method: 'get',
    params: query
  })
}

// 查询网络文明志愿者详细
export function getWlwmzyz(id) {
  return request({
    url: '/tcZz/networkEcology/wlwmzyz/' + id,
    method: 'get'
  })
}

// 新增网络文明志愿者
export function addWlwmzyz(data) {
  return request({
    url: '/tcZz/networkEcology/wlwmzyz',
    method: 'post',
    data: data
  })
}

// 修改网络文明志愿者
export function updateWlwmzyz(data) {
  return request({
    url: '/tcZz/networkEcology/wlwmzyz',
    method: 'put',
    data: data
  })
}

// 删除网络文明志愿者
export function delWlwmzyz(id) {
  return request({
    url: '/tcZz/networkEcology/wlwmzyz/' + id,
    method: 'delete'
  })
}
